Bug 597832 - [abrt] crash in tinyerp-4.2.3.4-6.fc12: picture.py:54:display:TypeError: display() takes exactly 3 arguments (2 given)
Summary: [abrt] crash in tinyerp-4.2.3.4-6.fc12: picture.py:54:display:TypeError: disp...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tinyerp (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7eba082a
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-30 17:10 UTC by Justin Phelps
Modified: 2011-06-27 17:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 17:06:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.61 KB, text/plain)
2010-05-30 17:10 UTC, Justin Phelps
no flags Details

Description Justin Phelps 2010-05-30 17:10:49 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python ./tinyerp-client.py
component: tinyerp
executable: /usr/lib/python2.6/site-packages/tinyerp-client/tinyerp-client.py
kernel: 2.6.33.4-95.fc13.x86_64
package: tinyerp-4.2.3.4-6.fc12
reason: picture.py:54:display:TypeError: display() takes exactly 3 arguments (2 given)
release: Fedora release 13 (Goddard)

backtrace
-----
picture.py:54:display:TypeError: display() takes exactly 3 arguments (2 given)

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/tinyerp-client/modules/gui/main.py", line 901, in _sig_child_call
    res = wid.handlers[button_name]()
  File "/usr/lib/python2.6/site-packages/tinyerp-client/modules/gui/window/tree.py", line 245, in sig_edit
    obj.create(None, self.model, id, self.domain)
  File "/usr/lib/python2.6/site-packages/tinyerp-client/modules/gui/window/__init__.py", line 57, in create
    auto_refresh=auto_refresh)
  File "/usr/lib/python2.6/site-packages/tinyerp-client/modules/gui/window/form.py", line 132, in __init__
    self.screen.load(res_id)
  File "/usr/lib/python2.6/site-packages/tinyerp-client/widget/screen/screen.py", line 417, in load
    self.display(ids[0])
  File "/usr/lib/python2.6/site-packages/tinyerp-client/widget/screen/screen.py", line 430, in display
    self.current_view.display()
  File "/usr/lib/python2.6/site-packages/tinyerp-client/widget/view/form.py", line 280, in display
    widget.display(model, state)
  File "/usr/lib/python2.6/site-packages/tinyerp-client/widget/view/form.py", line 53, in display
    self.widget.display(model, modelfield)
  File "/usr/lib/python2.6/site-packages/tinyerp-client/widget/view/form_gtk/picture.py", line 54, in display
    super(wid_picture, self).display(model_field)
TypeError: display() takes exactly 3 arguments (2 given)

Local variables in innermost frame:
model: <ModelRecord 108@ir.ui.menu>
model_field: <widget.model.field.CharField object at 0x26bd0d0>
self: <widget.view.form_gtk.picture.wid_picture object at 0x272fd50>

Comment 1 Justin Phelps 2010-05-30 17:10:51 UTC
Created attachment 418066 [details]
File: backtrace

Comment 2 Bug Zapper 2011-06-02 12:46:07 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-27 17:06:16 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.